#pragma once

#include <yandex/maps/wiki/revision/revisionsgateway.h>

namespace maps::wiki::revision {

class CommitMerger : public boost::noncopyable {
public:
    explicit CommitMerger(Transaction& work);

    // return new stable commits
    DBIDSet approvedToStable(DBID maxCommitId) const;

private:
    DBIDSet lockApprovedCommits(DBID maxCommitId) const;

private:
    Transaction& work_;
};

} // namespace maps::wiki::revision
